3 Replies Latest reply: Aug 10, 2014 10:19 AM by BDAqua
joebro2 Level 1 Level 1 (0 points)

i have version 10.5.8, build 9l31a, want to upgrade to most current, how do we do it? thanks


iMac, Mac OS X (10.5.8), do not have leopard, just 10.5.8